
function product_image_choose(key, wrap) {
    if (key !== undefined && key !== null && wrap !== undefined && wrap !== null) {
        // Инициализация
        let labels = wrap.getElementsByTagName('label');

        for (let i = 0; i <= labels.length; i++) {
            // Перебор всех элементов label (обложки изображений)

            // Инициализация
            let label = labels[i];

            if (label.getAttribute('for') === 'product_slider_image_' + key) {
                label.classList.add('active');
                label.checked = 'true';
            } else {
                label.classList.remove('active');
                label.checked = 'false';
            };
        };
    };
};

function product_response(data, status, xhr) {
    // Обработка ответов

    main_response(data, status, xhr);
};

function product_response_success(data, status, xhr) {
    // Обработка ответов от удавшихся запросов

    product_response(data, status, xhr);
};

function product_response_error(data, status, xhr) {
    // Обработка ответов от неудавшихся запросов

    // Инициализация
    data = data.responseJSON;

    product_response(data, status, xhr);
};
